/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Eine Animationsphase einer Spielfigur.
 * \author Martin Gernhard
 */

#include "animation.h"
#include <iostream>

Animation::Animation(std::list<std::string> bildliste, SpriteManager* spriteManager)
:bildzaehler(0)
{
	this->spriteManager = spriteManager;
	std::list<std::string>::const_iterator iter;

	iter = bildliste.begin();

	while (iter != bildliste.end()){
		std::string dateiname = *iter++;
		int anzeigezeit = atoi((*iter++).c_str());

		bilder.push_back(new Frame(dateiname, anzeigezeit, spriteManager));
		
	}

	bild_iterator = bilder.begin();
}


Animation::~Animation()
{
	std::list<Frame*>::const_iterator iter;

	for (iter=bilder.begin(); iter != bilder.end(); iter++){
		delete (*iter);
	}
}

Sprite* Animation::erstesBild(){
	return (*(bilder.begin()))->getSprite();
}

Sprite* Animation::naechstesBild()
{
	bildzaehler++;
	if (bildzaehler == (*bild_iterator)->getAnzeigedauer()){
		bildzaehler = 0;
		bild_iterator++;
		if (bild_iterator == bilder.end()){
			setzeZurueck();
		}
	}

	return (*(bild_iterator))->getSprite();
}

Sprite* Animation::aktuellesBild(){
	return (*(bild_iterator))->getSprite();
}
void Animation::setzeZurueck()
{
	bild_iterator = bilder.begin();
}
