/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Eine Animationsphase einer Spielfigur.
 * \author Martin Gernhard
 */

#ifndef ANIMATION_H
#define ANIMATION_H

#include <list>
#include <string>

#include "frame.h"
#include "spritemanager.h"

class Animation
{
private:
	std::list<Frame*> bilder;
	std::list<Frame*>::const_iterator bild_iterator;
	int bildzaehler;
	SpriteManager* spriteManager;

public:
	Animation(std::list<std::string> bildliste, SpriteManager* spriteManager);
	~Animation();
	
	Sprite* erstesBild();
	Sprite* naechstesBild();
	Sprite* aktuellesBild();
	void setzeZurueck();

};


#endif //ANIMATION_H
