/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Liest die einzelnen Animationsphasen (Bilder und Anzeigezeiten) aus der
 * Animationsdatei und erzeugt daraus Animationen.
 * \author Martin Gernhard
 */

#ifndef ANIMATOR_H
#define ANIMATOR_H

#include <string>
#include "sprite.h"
#include "animation.h"
#include "bewegung.h"
#include "spritemanager.h"


const int ANZAHL_BEWEGUNGSMODI = 5;

class Animator
{
private:
	SpriteManager* spriteManager;
	Animation *animationen[ANZAHL_BEWEGUNGSMODI];
	Bewegungsmodus modus;
	Richtung richtung;
	bool spiegeln;

public:
	Animator(const std::string& animationsdatei, SpriteManager* spriteManager);
	~Animator();
	void setzeBewegungsmodus(Bewegungsmodus modus);
	void setzeRichtung(Richtung Richtung);

	Sprite* erstesBild();
	Sprite* aktuellesBild();
	Sprite* naechstesBild();

	void zeichnen(int x, int y);

};

#endif //ANIMATOR_H
