/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BEWEGUNG_H_
#define BEWEGUNG_H_

//enum Richtung { RICHTUNG_LINKS, RICHTUNG_RECHTS };

const unsigned int RICHTUNG_LINKS	=	1;
const unsigned int RICHTUNG_RECHTS	=	2;
const unsigned int RICHTUNG_OBEN		=	4;
const unsigned int RICHTUNG_UNTEN	=	8;
class Richtung
{
	private:
	unsigned int richtungen;

	public:

	Richtung()
	{
		this->richtungen = 0;	
	}

	Richtung(unsigned int richtungen)
	{
		this->richtungen = richtungen;
	}

	bool isLinks()
	{
		return this->richtungen & RICHTUNG_LINKS;	
	}

	bool isRechts()
	{
		return this->richtungen & RICHTUNG_RECHTS;	
	}

	bool isOben()
	{
		return this->richtungen & RICHTUNG_OBEN;	
	}

	bool isUnten()
	{
		return this->richtungen & RICHTUNG_UNTEN;	
	}

	bool equals(Richtung const& other)
	{
		return this->richtungen == other.richtungen;		
	}

	bool enthaelt(Richtung const& b){
		return (this->richtungen & b.richtungen) == b.richtungen;		
	}

	bool operator== (Richtung const& b)
	{
		return equals(b);
	}

	bool operator>= (Richtung const& b)
	{
		return enthaelt(b);
	}

	int intval()
	{
		return richtungen;		
	}
	
	void hinzufuegen(Richtung const& b)
	{
		this->richtungen |= b.richtungen;
	}
};

enum Bewegungsmodus { STEHEN, GEHEN, RENNEN, SPRUNG_AUF, SPRUNG_AB };

#endif /*BEWEGUNG_H_*/
