/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "bitmapfont.h"

BitmapFont::BitmapFont(SpriteManager* spriteManager, std::string dateiname)
{
	fontVector = spriteManager->erzeugeFont(dateiname, this->zeichenBreite,
				this->zeichenHoehe);
}

BitmapFont::~BitmapFont()
{
}

void BitmapFont::schreibeZeichen(int asciicode, int x, int y)
{
	fontVector[asciicode]->zeichnen(x, y);
}

void BitmapFont::schreibeZeile(std::string zeile, int x, int y)
{
	for (unsigned int i = 0; i < zeile.length(); i++){
		schreibeZeichen( zeile.at(i), x, y );
		x += zeichenBreite;
	}
}

void BitmapFont::schreibeText(std::string text, int startX, int startY)
{
	int x = startX;
	int y = startY;
	
	for (unsigned int i = 0; i < text.length(); i++){
		char zeichen = text.at(i);
		
		if ( zeichen != '\n' ){
			schreibeZeichen( text.at(i), x, y );
			x += zeichenBreite;
		}else{
			x = startX;
			y += zeichenHoehe;
		}
	}
}
