/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BITMAPFONT_H_
#define BITMAPFONT_H_

#include "sprite.h"
#include "spritemanager.h"

#include <vector>

class BitmapFont
{
private:
	int zeichenBreite;
	int zeichenHoehe;
	std::vector<Sprite*> fontVector;
public:
	BitmapFont(SpriteManager* spriteManager, std::string dateiname);
	virtual ~BitmapFont();

	void schreibeZeichen(int asciicode, int x, int y);
	void schreibeZeile(std::string zeile, int x, int y);
	/** Schreibt einen beliebig langen Text unter Bercksichtigung von Zeilenumbrchen. */
	void schreibeText(std::string text, int x, int y);
};	

#endif /*BITMAPFONT_H_*/
