/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 */

#include <iostream>

#include "bonussprung.h"


BonusSprung::BonusSprung(Figur *figur)
:Steuerfunktion()
{
	this->figur = figur;
	figur->setDY(-8);
}

bool BonusSprung::istBeendet()
{
	return beendet;
}

void BonusSprung::kollision(Kollision& kollision)
{
	if ((figur->getDY() > 0) && kollision.kollidiertUnten()){
		figur->setTot(true);
		beendet = true;
	}
}

std::string BonusSprung::getName()
{
	return STEUERFUNKTION_BONUSSPRUNG;
}
