/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "figurtyp.h"

std::map<int, std::string> FigurTyp::typEnumStringMap;

const std::string FigurTyp::FIGURSTRING_STANDARD  = "Standard";
const std::string FigurTyp::FIGURSTRING_RING      = "Ring";
const std::string FigurTyp::FIGURSTRING_STACHEL   = "Stachel";
const std::string FigurTyp::FIGURSTRING_KISTE     = "Kiste";
const std::string FigurTyp::FIGURSTRING_HERZKISTE = "Herzkiste";

void FigurTyp::typEnumStringMapInit()
{
	if (typEnumStringMap.empty()){
		typEnumStringMap[FIGURTYP_STANDARD]     = FIGURSTRING_STANDARD;
		typEnumStringMap[FIGURTYP_RING]         = FIGURSTRING_RING;
		typEnumStringMap[FIGURTYP_STACHEL]      = FIGURSTRING_STACHEL;
		typEnumStringMap[FIGURTYP_KISTE]        = FIGURSTRING_KISTE;
		typEnumStringMap[FIGURTYP_HERZKISTE]    = FIGURSTRING_HERZKISTE;
	}
}

FigurTyp& FigurTyp::operator=(FigurTyp_ typ)
{
	this->typ = typ;
	return *this;
}

FigurTyp::FigurTyp()
{
	typEnumStringMapInit();
	this->typ = FIGURTYP_STANDARD;
}

std::string FigurTyp::alsString(){
	return typEnumStringMap[typ];
}

int FigurTyp::getEnum()
{
	return typ;
}
