/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FIGURTYP_H_
#define FIGURTYP_H_

#include <map>
#include <string>

class FigurTyp
{
public:
	FigurTyp();

	enum FigurTyp_{
		FIGURTYP_STANDARD,
		FIGURTYP_RING,
		FIGURTYP_STACHEL,
		FIGURTYP_KISTE,
		FIGURTYP_HERZKISTE
	};


	static const std::string FIGURSTRING_STANDARD;
	static const std::string FIGURSTRING_RING;
	static const std::string FIGURSTRING_STACHEL;
	static const std::string FIGURSTRING_KISTE;
	static const std::string FIGURSTRING_HERZKISTE;

	FigurTyp& operator=(FigurTyp_ typ);

	std::string alsString();

	int getEnum();

private:
	FigurTyp_ typ;
	static std::map<int, std::string> typEnumStringMap;
	static void typEnumStringMapInit();	
};

#endif /*FIGURTYP_H_*/
