/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Einfache Klasse, die ein Bild einer Animationsphase speichert.
 * \author Martin Gernhard
 */

#include "frame.h"

Frame::Frame(const std::string& dateiname, SpriteManager* spriteManager)
{
	this->sprite = spriteManager->createSprite(dateiname);
	anzeigedauer = 1;
}


Frame::Frame(const std::string& dateiname, int anzeigedauer, SpriteManager* spriteManager)
{
	this->sprite = spriteManager->createSprite(dateiname);
	this->anzeigedauer = anzeigedauer;
}


int Frame::getAnzeigedauer()
{
	return anzeigedauer;
}

Sprite* Frame::getSprite()
{
	return sprite;
}
