/*
	Copyright 2007 Sebastian von Helden

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Sebastian von Helden
 */

#include <iostream>

#include "gegnersprung.h"


Gegnersprung::Gegnersprung(Figur *figur)
:Steuerfunktion()
{
	this->figur = figur;
	figur->setDY(1);
}

bool Gegnersprung::istBeendet()
{
	return beendet;
}

void Gegnersprung::kollision(Kollision& kollision)
{
	int dy = figur->getDY();
	
	if ((dy > 0) && kollision.kollidiertUnten()) {
        figur->setDY(-12); }
    else if ((dy < 0) && kollision.kollidiertOben()) {	
		figur->setDY(1);
	}
}

std::string Gegnersprung::getName()
{
	return STEUERFUNKTION_GEGNERSPRUNG;
}
