/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "herzkiste.h"
#include "soundmanager.h"

HerzKiste::HerzKiste(const std::string name, const std::string& animationsdatei,
				Level* level, SpriteManager* spriteManager)
:Kiste(name, animationsdatei, level, spriteManager)
{
	this->typ = FigurTyp::FIGURTYP_HERZKISTE;					
}

HerzKiste::~HerzKiste()
{
}

int HerzKiste::getEnergie()
{
	if (!endzustand){
		return 2;
	}else{
		return 0;
	}
}

std::string HerzKiste::getSound()
{
	if (!endzustand){
		return SoundManager::SOUND_HERZ;
	}else{
		return "";
	}
}
