/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "kiste.h"
#include "soundmanager.h"
#include "punkte.h"

Kiste::Kiste(const std::string name, const std::string& animationsdatei, Level* level,
		SpriteManager* spriteManager)
:Figur(name, animationsdatei, level, spriteManager)
{
	this->endzustand = false;
	this->springKillbar = false;
	this->gravitation = 0;
	this->typ = FigurTyp::FIGURTYP_KISTE;
}

Kiste::~Kiste()
{
}

void Kiste::ausgeloest()
{
	if (!endzustand){
		endzustand = true;
		delete animator;
		if (dateiname == "sprites/kiste.anim"){
			animator = new Animator("sprites/kisteleer.anim", spriteManager);
		}else{
			animator = new Animator("sprites/kisteleer_gross.anim", spriteManager);
		}
	}
}


std::string Kiste::getSound()
{
	if (!endzustand){
		return SoundManager::SOUND_RING;
	}else{
		return "";
	}
}

int Kiste::getPunkte(){
	if (!endzustand){
		return Punkte::PUNKTE_RING;
	}else{
		return 0;
	}
}

bool Kiste::isEndzustand()
{
	return endzustand;
}
