/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 */
 
#include "kollision.h"
#include "bewegung.h"
#include <iostream>

/*Kollision::Kollision(Richtung richtung)
{
	this->richtung = richtung;
}*/

Kollision::Kollision(bool kollidiert)
{
	this->_kollidiert = kollidiert;
	this->richtung    = 0;
//	this->kanteLinks  = -1;
//	this->kanteRechts = -1;
//	this->kanteOben   = -1;
//	this->kanteUnten  = -1;
	this->_kollidiertMitGegner = false;
}

Kollision::Kollision(Richtung richtung)
{
	this->_kollidiert = true;
	this->richtung    = richtung;
//	this->kanteLinks  = -1;
//	this->kanteRechts = -1;
//	this->kanteOben   = -1;
//	this->kanteUnten  = -1;
	this->_kollidiertMitGegner = false;
}

Kollision::Kollision(Richtung richtung, int kanteLinks, int kanteRechts, int kanteOben, int kanteUnten)
{
	this->_kollidiert = true;
	this->richtung    = richtung;
//	this->kanteLinks  = kanteLinks;
//	this->kanteRechts = kanteRechts;
//	this->kanteOben   = kanteOben;
//	this->kanteUnten  = kanteUnten;
	this->_kollidiertMitGegner = false;
}

bool Kollision::kollidiert()
{
	return _kollidiert;
}

bool Kollision::kollidiertLinks()
{
	return richtung.isLinks();
}

bool Kollision::kollidiertRechts()
{
	return richtung.enthaelt(RICHTUNG_RECHTS);
}

bool Kollision::kollidiertOben()
{
	return richtung.isOben();
}

bool Kollision::kollidiertUnten()
{
	return richtung.isUnten();
}

/*
int Kollision::getKanteLinks()
{
	return kanteLinks;
}

int Kollision::getKanteRechts()
{
	return kanteRechts;
}

int Kollision::getKanteOben()
{
	return kanteOben;
}

int Kollision::getKanteUnten()
{
	return kanteUnten;
}
*/
void Kollision::richtungHinzufuegen(Richtung richtung)
{
	this->richtung.hinzufuegen(richtung);
}

void Kollision::setKollidiert(bool kollidiert)
{
	this->_kollidiert = kollidiert;
}

/*
void Kollision::setKanteLinks(int kanteLinks)
{
	this->kanteLinks = kanteLinks;
}

void Kollision::setKanteRechts(int kanteRechts)
{
	this->kanteRechts = kanteRechts;
}

void Kollision::setKanteOben(int kanteOben)
{
	this->kanteOben = kanteOben;
}

void Kollision::setKanteUnten(int kanteUnten)
{
	this->kanteUnten = kanteUnten;
}
*/

Richtung Kollision::getRichtung()
{
	return this->richtung;	
}

void Kollision::setKollidiertMitGegner(bool kollidiert)
{
	_kollidiertMitGegner = kollidiert;
}

bool Kollision::kollidiertMitGegner(){
	return _kollidiertMitGegner;
}
