/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 */

#ifndef KOLLISION_H_
#define KOLLISION_H_

#include "bewegung.h"

class Kollision
{
private:
	bool _kollidiert;
	bool _kollidiertMitGegner;
	Richtung richtung;
//	int kanteLinks;
//	int kanteRechts;
//	int kanteOben;
//	int kanteUnten;

public:
	Kollision(bool kollidiert);
	explicit Kollision(Richtung richtung);
	Kollision(Richtung richtung, int kanteLinks, int kanteRechts, int kanteOben, int kanteUnten);
	bool kollidiert();
	bool kollidiertLinks();
	bool kollidiertRechts();
	bool kollidiertOben();
	bool kollidiertUnten();
	bool kollidiertMitGegner();

//	int getKanteLinks();
//	int getKanteRechts();
//	int getKanteOben();
//	int getKanteUnten();
	
//	void setKanteLinks(int kanteLinks);
//	void setKanteRechts(int kanteRechts);
//	void setKanteOben(int kanteOben);
//	void setKanteUnten(int kanteUnten);
	
	void richtungHinzufuegen(Richtung richtung);
	
	void setKollidiert(bool kollidiert);
	void setKollidiertMitGegner(bool kollidiert);
	
	Richtung getRichtung();
};

#endif /*KOLLISION_H_*/
