#ifndef LOGGER_H_
#define LOGGER_H_

#include <string>
#include <map>

class Logger
{
private:
	int level;
	static std::map<std::string, int> stringLoglevelMap;
	static void stringLoglevelMapInit();

public:
	static void initLogging(int level);
	static void shutdownLogging();

	Logger(int level);

	int getLevel();
	void setLevel(int level);
	void setLevel(std::string level);

	void debug(std::string message);
	void info(std::string message);
	void warn(std::string message);
	void error(std::string message);

	static const int LOGLEVEL_DEBUG;
	static const int LOGLEVEL_INFO;
	static const int LOGLEVEL_WARN;
	static const int LOGLEVEL_ERROR;

	static const std::string LOGSTRING_DEBUG;
	static const std::string LOGSTRING_INFO;
	static const std::string LOGSTRING_WARN;
	static const std::string LOGSTRING_ERROR;
};

extern Logger* logger;

#endif /*LOGGER_H_*/
