/*
	Copyright 2007 Martin Gernhard, Sebastian von Helden

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 * \author Sebastian von Helden
 */

#include <iostream>

#include "spielerbewegung.h"


Spielerbewegung::Spielerbewegung(Figur *figur)
:Steuerfunktion()
{
	this->figur = figur;
	this->running = false;
}

void Spielerbewegung::setDX(int dx)
{
	if(!running) {
        figur->setDX(dx);}
    else {
        figur->setDX(dx*2);}
}

void Spielerbewegung::setRUN(bool wahr)
{
     this->running = wahr;
}

void Spielerbewegung::stopX()
{
	figur->setDX(0);
}


void Spielerbewegung::ausfuehren()
{
}

bool Spielerbewegung::istBeendet()
{
	return beendet;
}

void Spielerbewegung::kollision(Kollision& kollision)
{
	/*
	if ((dx > 0) && kollision.kollidiertRechts() ){
		dx = 0;
	}
	
	if ((dx < 0) && kollision.kollidiertLinks() ){
		dx = 0;
	}
	*/
}

std::string Spielerbewegung::getName()
{
	return "Spielerbewegung";
}
