/*
	Copyright 2007 Martin Gernhard, Sebastian von Helden

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 * \author Sebastian von Helden
 */

#ifndef SPIELERBEWEGUNG_H_
#define SPIELERBEWEGUNG_H_

#include "steuerfunktion.h"
#include "kollision.h"
#include "figur.h"

class Spielerbewegung : public Steuerfunktion
{
private:
	Figur* figur;
	
	bool running;

public:
	Spielerbewegung(Figur* figur);

	void setDX(int dx);
	void setRUN(bool wahr);
	void stopX();

	void ausfuehren();
	bool istBeendet();
	void kollision(Kollision& kollision);
	std::string getName();

};

#endif /*SPIELERBEWEGUNG_H_*/
