/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 * \author Sebastian von Helden
 */

#include <iostream>

#include "spielerbewegungy.h"


SpielerbewegungY::SpielerbewegungY(Figur *figur)
:Steuerfunktion()
{
	this->figur = figur;
	this->_springt = false;
}

void SpielerbewegungY::springen(int dy)
{
	if (!_springt && !figur->faellt()){
        if(running  && figur->getDX() != 0) {
           figur->setDY( 0 - dy - 3);}
        else {
           figur->setDY( 0 - dy);}
	}
	_springt = true;
}

void SpielerbewegungY::gegner_bounce()
{
     figur->setDY(-8);
     _springt = true;
}

void SpielerbewegungY::setRUN(bool wahr)
{
    this->running = wahr;
}

void SpielerbewegungY::ausfuehren()
{
}

bool SpielerbewegungY::istBeendet()
{
	return beendet;
}

void SpielerbewegungY::kollision(Kollision& kollision)
{
	if (kollision.kollidiertOben()){
		figur->setDY(1);	
	}
	
	if (kollision.kollidiertUnten()){
		_springt = false;
	}
}

std::string SpielerbewegungY::getName()
{
	return "SpielerbewegungY";
}

bool SpielerbewegungY::springt()
{
	return _springt;
}
