/*
	Copyright 2007 Martin Gernhard, Sebastian von Helden

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * \author Martin Gernhard
 * \author Sebastian von Helden
 */

#ifndef SPIELERBEWEGUNGY_H_
#define SPIELERBEWEGUNGY_H_

#include "steuerfunktion.h"
#include "kollision.h"
#include "figur.h"

class SpielerbewegungY : public Steuerfunktion
{
private:
	Figur* figur;

	bool running;

	bool _springt;

public:
	SpielerbewegungY(Figur* figur);

	void springen(int dy);
	void gegner_bounce();
	void setRUN(bool wahr);

	void ausfuehren();
	bool istBeendet();
	bool springt();
	void kollision(Kollision& kollision);
	std::string getName();

};

#endif /*SPIELERBEWEGUNGY_H_*/
