/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * \author Martin Gernhard
 */

#ifndef SPRITEMANAGER_H_
#define SPRITEMANAGER_H_

#include <map>
#include <vector>

#include "sprite.h"

class SpriteManager
{
private:
	// Speichert ein Sprite zu jedem Dateinamen
	std::map<std::string, Sprite*> sprites;

public:
	SpriteManager();
	virtual ~SpriteManager();

	// Liefert einen Zeiger auf ein Sprite zu einer Bilddatei. Erzeugt nur dann
	// ein neues Sprite, wenn die Bilddatei noch nie geladen wurde.	
	Sprite* createSprite(const std::string dateiname);

	// Zerlegt eine Bilddatei in 16x16 Einzelsprites.
	std::vector<Sprite*> erzeugeFont(const std::string dateiname,
				int& zeichenBreite, int& zeichenHoehe);

	// Gibt eine Liste der Dateinamen aller bereits erzeugten Sprites auf
	// stdout aus.
	void spritesAuflisten();
	
#ifdef OUTPUT_SDL
	Sprite* erzeugeSDLHintergrund(const std::string dateiname);
#endif
};

#endif /*SPRITEMANAGER_H_*/
