/*
	Copyright 2007 Sebastian von Helden, Zafir Mahmutovic, Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <iostream>

#include "status.h"
#include "utils.h"

Status::Status() {
   this->leben = 3;
   this->energie = ANZAHL_HERZEN * 2;
   this->punktestand = 0; 
}

Status::Status(int leben, int energie) {
   this->leben = leben;
   this->energie = energie;
   this->punktestand = 0; 
}
      
int Status::getEnergie() { return energie; }
int Status::getPunkte() { return punktestand; }
int Status::getLeben() { return leben;}
      
void Status::add_punkte(int punkte) {
   this->punktestand += punkte;
}

void Status::add_energie(int energie) {
	this->energie += energie;
	this->energie = min(this->energie, MAX_ENERGIE);
}
     
void Status::sub_energie(int energie) {
   this->energie -= energie;
}

void Status::sub_leben(int leben) {
   this->leben -= leben;
}

void Status::setEnergieVoll(){
   this->energie = ANZAHL_HERZEN * 2;
}

void Status::setEnergieLeer(){
   this->energie = 0;
}

bool Status::isHerzVoll(int herz)
{
	return ( (energie / 2) >= (herz + 1) );
}

bool Status::isHerzHalb(int herz)
{
	return ( ((energie + 1) / 2) >= (herz + 1) );
}
