/*
	Copyright 2007 Sebastian von Helden, Zafir Mahmutovic, Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef STATUS_H_
#define STATUS_H_

class Status {
private:

	int energie;
	int punktestand;
	int leben;

public:

	static const int ANZAHL_HERZEN = 3;
	static const int MAX_ENERGIE = ANZAHL_HERZEN * 2;

	Status(int leben, int energie);
	Status();

	int getEnergie();
	int getPunkte();
	int getLeben();

	void add_punkte(int punkte);
	void add_energie(int energie);
	void sub_energie(int energie);
	void sub_leben(int leben);
	void setEnergieVoll();
	void setEnergieLeer();
	
	bool isHerzVoll(int herz);
	bool isHerzHalb(int herz);
};

#endif /*STATUS_H_*/
