/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Superklasse fr alle Klassen, die Bewegungs- oder Steuerungsfunktionen
 * fr Spielfiguren implementieren
 * \author Martin Gernhard
 */

#ifndef STEUERFUNKTION_H
#define STEUERFUNKTION_H

#include "figur.h"
#include "kollision.h"

class Figur;

class Steuerfunktion
{
protected:
	Figur* figur;
	bool beendet;

	static const std::string STEUERFUNKTION_GEGNERSPRUNG;
	static const std::string STEUERFUNKTION_LINKSRECHTSBEWEGUNG;
	static const std::string STEUERFUNKTION_BONUSSPRUNG;

public:

	Steuerfunktion();
	virtual ~Steuerfunktion(){}
	virtual void ausfuehren();
	virtual bool istBeendet();
	virtual void kollision(Kollision& kollision);
	virtual std::string getName();

	static Steuerfunktion* ausString(Figur* figur, std::string input);
	virtual std::string alsString();
	virtual void setParameter(std::string parameter);
	virtual std::string getParameter();

};

#endif //STEUERFUNKTION_H
