/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tile.h"

Tile::	Tile(int x, int y, bool solid, TileTyp typ, Sprite* sprite)
{
	this->x = x;
	this->y = y;
	this->solid = solid;
	this->typ = typ;
	this->sprite = sprite;
}

int Tile::getX()
{
	return x;
}

int Tile::getY()
{
	return y;
}

void Tile::setX(int x)
{
	this->x = x;
}

void Tile::setY(int y)
{
	this->y = y;
}

bool Tile::isSolid()
{
	return solid;
}

TileTyp Tile::getTileTyp()
{
	return typ;
}

std::string Tile::getTypName()
{
	return typNamen[typ];
}

std::string Tile::getTypName(int typ)
{
	return typNamen[typ];
}

const std::string Tile::typNamen[] =
{
		"leer",
		"Block",
		"Stachel",
		"Grass"
};

void Tile::zeichnen(int x, int y)
{
	sprite->zeichnen(x, y);
}

void Tile::zeichnen()
{
	sprite->zeichnen(x, y);
}
