/*
	Copyright 2007 Martin Gernhard

	This file is part of Jump And Run

    Jump And Run is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/** Sorgt dafr, dass alle Tile-Sprites nur einmal geladen werden.
 * \author Martin Gernhard
 */


#ifndef TILEMANAGER_H_
#define TILEMANAGER_H_

#include "tile.h"
#include "tiletyp.h"
#include "spritemanager.h"

#include <map>
#include <utility>

class TileManager
{
private:
	// Speichert ein Tile-Sprite zu jedem Typ
	SpriteManager* spriteManager;

	// Speichert zu jedem Tile-Typ den Dateinamen und ob er undurchdringlich
	// ist.
	static std::map<TileTyp, std::pair<std::string, bool> > eigenschaften;
	static void eigenschaftenInit();
public:
	TileManager(SpriteManager* spriteManager);
	virtual ~TileManager();
	
	Tile* createTile(int x, int y, TileTyp typ);
};

#endif /*TILEMANAGER_H_*/
